r.median(1)

NAME
r.median - Finds the median of values in a cover map within areas assigned the same category value in a user-specified base map.

SYNOPSIS
r.median
r.median help
r.median base=string cover=string output=string

  Parameters:

base=string
    Base raster map

cover=string
    Cover raster map

output=string
    Resultant raster map

DESCRIPTION
r.median calculates the median category of data contained in a cover raster map layer for areas assigned the same category value in the user-specified base raster map layer. These median values are stored in the new output map layer.

The output map is actually a reclass of the base map. The base map is an existing raster map layer in the user's current mapset search path. For each group of cells assigned the same category value in the base map, the median of the values assigned these cells in the cover map will be computed.

The cover map is an existing raster map layer containing the values to be used to compute the median within each category of the base map.

NOTES
The user should use the results of r.median with care. Since this utility assigns a value to each cell which is based on global information (i.e., information at spatial locations other than just the location of the cell itself), the resultant map layer is only valid if the geographic region and mask settings are the same as they were at the time that the result map was created.

Results are affected by the current region settings and mask.

SEE ALSO
g.region, r.average, r.cats, r.clump, r.describe, r.mapcalc, r.mask, r.mfilter, r.mode, r.neighbors, r.reclass, r.stats

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/05/06 14:01:30 $

Help Index